## flexnbd 0.1.6

=== debian/changelog ===
flexnbd (0.1.6) stable; urgency=medium

  * Remove lots of per-cpu compiler flags, notably march=native.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 13 Apr 2017 12:48:23 +0100

flexnbd (0.1.5) stable; urgency=medium

  * Switched to native packaging.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 23 Jan 2017 13:51:58 +0000

flexnbd (0.1.5-1) stable; urgency=medium

  * This fixes the compiler warning pointer-to-int-cast in serve.c.
  * Fix up "wrong" handle type from char* to uint64_t in check_readwrite test.
  * fix check_bitset test on 32-bit platforms.
  * Skip large file test on 32-bit platforms.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 07 Oct 2016 12:25:36 +0100

flexnbd (0.1.4-1) stable; urgency=medium

  [ Michel Pollet ]
  * Simplified Makefile
  * Makefile: don't include *.d's before 'all'

  [ Patrick J Cherry ]
  * Added net-tools to the build-deps for testing
  * Fixed "double-definition of constants" warning
  * Use a BINARY encoded string when doing read/write comparisons.
  * Moved all tasks from Rake to Make
  * Added dpkg-dev to build-deps
  * Updated manpages, replace a2x with txt2man
  * Fixed up internal test names (copy/pasta?)
  * Fixed check_readwrite test to pass correct handle to fd_write_reply
  * Fix up nbdtypes test to correctly use htobe64
  * Update Makefile to specify dependencies properly for tests

  [ James F. Carter ]
  * update tests to reflect changes in handle storage
  * run tests in gitlab-ci
  * force binary encoding in a ruby2.1-compatible way
  * add missing deps on server object files when building check binaries
  * remove unnecessary step in gitlab-ci
  * failures in make check now result in an error

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Oct 2016 15:49:33 +0100

flexnbd (0.1.3-1) stable; urgency=medium

  [ Michel Pollet ]
  * Close socket fix, might relate to migration crashing
  * Attempt at fixing bind() bug
  * Simplified NBD handle comparisons
  
  [ Patrick J Cherry ]
  * Non-maintainer upload.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 04 Oct 2016 21:20:27 +0100

flexnbd (0.1.2-1) stable; urgency=medium

  * Non-maintainer upload.
  * Updated packaging.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 30 Aug 2016 21:14:05 +0100

flexnbd (0.1.1-455) stable; urgency=low

  * flexnbd: We only require 1/8th of the memory we allocate for bitsets (bits vs. bytes confusion) [r455]

 -- nick <nick@bytemark.co.uk>  Wed, 13 May 2015 09:25:09 +0100

flexnbd (0.1.1-454) stable; urgency=low

  * Makefile: Add -lm to LLDFLAGS [r454]

 -- nick <nick@bytemark.co.uk>  Wed, 01 Apr 2015 12:39:07 +0100

flexnbd (0.1.1-453) stable; urgency=low

  * Moved the server-specific files into src/server [r453]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 11:05:43 +0000

flexnbd (0.1.1-452) stable; urgency=low

  * Remove the proxy's dependency on flexnbd.h [r452]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 10:37:00 +0000

flexnbd (0.1.1-451) stable; urgency=low

  * Tighten up some variable scopes. [r451]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 10:24:29 +0000

flexnbd (0.1.1-450) stable; urgency=low

  * Avoid a potential null pointer dereference [r450]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 09:57:19 +0000

flexnbd (0.1.1-449) stable; urgency=low

  * Fix a harmless buffer overflow [r449]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 09:49:25 +0000

flexnbd (0.1.1-448) stable; urgency=low

  * Merge [r448]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 16:18:17 +0000

flexnbd (0.1.1-447) stable; urgency=low

  * Replace off64_t with uint64_t where it makes sense to do so. [r447]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 16:04:25 +0000

flexnbd (0.1.1-446) stable; urgency=low

  * Allow subset reads in prefetch_contains and prefetch_offset [r446]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 14:54:18 +0000

flexnbd (0.1.1-445) stable; urgency=low

  * Automated merge with ssh://dev/flexnbd-c [r445]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:33:01 +0000

flexnbd (0.1.1-444) stable; urgency=low

  * Cork/uncork in mirror - socket_connect already sets nodelay [r444]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:32:54 +0000

flexnbd (0.1.1-443) stable; urgency=low

  * Avoid some false positives [r443]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:32:26 +0000

flexnbd (0.1.1-442) stable; urgency=low

  * Proxy prefetch cache becomes a command-line argument. [r442]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 14:21:36 +0000

flexnbd (0.1.1-441) stable; urgency=low

  * bitset: Allocate the right amount of memory [r441]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 12:57:09 +0000

flexnbd (0.1.1-440) stable; urgency=low

  * Cherry-pick extra toolchain Makefile options [r440]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:56:41 +0000

flexnbd (0.1.1-439) stable; urgency=low

  * Merge [r439]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:37:44 +0000

flexnbd (0.1.0-438) stable; urgency=low

  * Apply Michel's tidy-ups [r438]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:19:03 +0000

flexnbd (0.1.1-437) stable; urgency=low

  * Pull back the changelog generation to the simplest thing that can possibly work [r437]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 25 Feb 2014 17:24:25 +0000

flexnbd (0.1.1-436) stable; urgency=low

  * Tweak changelog generation not to skip commits since last tag [r436]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 25 Feb 2014 16:35:51 +0000

flexnbd (0.1.1-435) stable; urgency=low

  * proxy: Turn on TCP_CORK [r435]

 -- nick <nick@bytemark.co.uk>  Tue, 25 Feb 2014 16:00:48 +0000

flexnbd (0.1.1-434) stable; urgency=low

  * proxy: Turn on TCP_NODELAY for the proxy->upstream leg [r434]

 -- nick <nick@bytemark.co.uk>  Tue, 25 Feb 2014 15:59:05 +0000

flexnbd (0.1.1-433) stable; urgency=low



## flexnbd 0.1.8~29166.gbp884a71

=== debian/changelog ===
flexnbd (0.1.8~29166.gbp884a71) UNRELEASED; urgency=medium

  ** SNAPSHOT build @884a7147448f734247e20792766dadaaebe98acc **

  [ James F. Carter ]
  * apply tcp keepalive to serving sockets
  * remember how || works in C
  * whitespace fix

  [ root ]

 -- root <root@runner-32952c23-project-311-concurrent-3>  Wed, 10 Jan 2018 13:55:24 +0000

flexnbd (0.1.7) stable; urgency=medium

  * Return bytes_left in migration statistics.

 -- Chris Elsworth <chris.elsworth@bytemark.co.uk>  Fri, 14 Jul 2017 17:00:38 +0100

## flexnbd 0.1.8~29299.fa75de0

=== debian/changelog ===
flexnbd (0.1.8~29299.fa75de0) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33)

 -- James Carter <james.carter@bytemark.co.uk>  Wed, 10 Jan 2018 13:57:10 +0000

## flexnbd 0.1.8~29307.61940bd

=== debian/changelog ===
flexnbd (0.1.8~29307.61940bd) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33)
  * Add a context to logs to make debugging problems easier (#34, !34)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.1.8~32262.1b7b688

=== Makefile ===
#!/usr/bin/make -f

VPATH=src:tests/unit
DESTDIR?=/
PREFIX?=/usr/local/bin
INSTALLDIR=$(DESTDIR)/$(PREFIX)
	
ifdef DEBUG
	CFLAGS_EXTRA=-g -DDEBUG
	LDFLAGS_EXTRA=-g
else
	CFLAGS_EXTRA=-O2
endif

CFLAGS_EXTRA  += -fPIC --std=gnu99
LDFLAGS_EXTRA += -Wl,--relax,--gc-sections -L$(LIB) -Wl,-rpath-link,$(LIB)

# The -Wunreachable-code warning is only implemented in clang, but it
# doesn't break anything for gcc to see it.
WARNINGS=-Wall \
				 -Wextra \
				 -Werror-implicit-function-declaration \
				 -Wstrict-prototypes \
				 -Wno-missing-field-initializers \
				 -Wunreachable-code

CCFLAGS=-D_GNU_SOURCE=1 $(WARNINGS) $(CFLAGS_EXTRA) $(CFLAGS)
LLDFLAGS=-lm -lrt -lev $(LDFLAGS_EXTRA) $(LDFLAGS)

CC?=gcc

LIBS=-lpthread
INC=-I/usr/include/libev -Isrc/common -Isrc/server -Isrc/proxy
COMPILE=$(CC) -MMD $(INC) -c $(CCFLAGS)
LINK=$(CC) $(LLDFLAGS) -Isrc $(LIBS)

LIB=build/

COMMON_SRC  := $(wildcard src/common/*.c)
SERVER_SRC := $(wildcard src/server/*.c)
PROXY_SRC   := $(wildcard src/proxy/*.c)

COMMON_OBJ  := $(COMMON_SRC:src/%.c=build/%.o)
SERVER_OBJ := $(SERVER_SRC:src/%.c=build/%.o)
PROXY_OBJ   := $(PROXY_SRC:src/%.c=build/%.o)

SRCS := $(COMMON_SRC) $(SERVER_SRC) $(PROXY_SRC)
OBJS := $(COMMON_OBJ) $(SERVER_OBJ) $(PROXY_OBJ)


all: build doc

build: server proxy

build/%.o: %.c
	mkdir -p $(dir $@)
	$(COMPILE) $< -o $@

objs: $(OBJS)

build/flexnbd: $(COMMON_OBJ) $(SERVER_OBJ) build/main.o
	$(LINK) $^ -o $@

build/flexnbd-proxy: $(COMMON_OBJ) $(PROXY_OBJ) build/proxy-main.o
	$(LINK) $^ -o $@

server: build/flexnbd

proxy: build/flexnbd-proxy

CHECK_SRC := $(wildcard tests/unit/*.c)
CHECK_OBJ := $(CHECK_SRC:tests/unit/%.c=build/%.o)
# Why can't we reuse the build/%.o rule above? Not sure.

CHECK_BINS := $(CHECK_SRC:tests/unit/%.c=build/%)

build/check_%: build/check_%.o
	$(LINK) $^ -o $@ $(COMMON_OBJ) $(SERVER_OBJ) -lcheck -lsubunit

check_objs: $(CHECK_OBJ)

check_bins: $(CHECK_BINS)

check: $(OBJS) $(CHECK_BINS)
	r=true ; for bin in $(CHECK_BINS); do $$bin || r=false; done ; $$r

acceptance: build
	cd tests/acceptance && RUBYOPT='-I.' ruby nbd_scenarios -v

test: check acceptance

build/flexnbd.1: README.txt
	txt2man -t flexnbd -s 1 $< > $@

build/flexnbd-proxy.1: README.proxy.txt
	txt2man -t flexnbd-proxy -s 1 $< > $@

# If we don't pipe to file, gzip clobbers the original, causing make
# to rebuild each time
%.1.gz: %.1
	gzip -c -f $< > $@

doc: build/flexnbd.1.gz build/flexnbd-proxy.1.gz

install:
	mkdir -p $(INSTALLDIR)
	cp build/flexnbd build/flexnbd-proxy $(INSTALLDIR)

clean:
	rm -rf build/*


.PHONY: clean objs check_objs all server proxy check_bins check doc build test acceptance

# Include extra dependencies at the end, NOT before 'all'
-include $(wildcard build/*.d)

=== debian/changelog ===
flexnbd (0.1.8~32262.1b7b688) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.2.0~32563.c423900

=== debian/changelog ===
flexnbd (0.2.0~32563.c423900) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.2.0~32984.5e9dbbd

=== Makefile ===
--- 
+++ 
@@ -109,7 +109,6 @@
 clean:
 	rm -rf build/*
 
-
 .PHONY: clean objs check_objs all server proxy check_bins check doc build test acceptance
 
 # Include extra dependencies at the end, NOT before 'all'

=== debian/changelog ===
flexnbd (0.2.0~32984.5e9dbbd) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.2.0~33007.c4bab3f

=== debian/changelog ===
flexnbd (0.2.0~33007.c4bab3f) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)
  * Ignore ends of discs that stray outside of 512-byte sector sizes (!42). 

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.2.0~33721.2e17e89

=== tests/acceptance/ld_preloads/Makefile ===

SRC := $(wildcard *.c)
OBJS := $(SRC:%.c=%.o)

all: $(OBJS)

clean:
	$(RM) $(OBJS)

%.o: %.c
	gcc -shared -fPIC -ldl -o $@ $<

.PHONY: all clean

=== debian/changelog ===
flexnbd (0.2.0~33721.2e17e89) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)
  * Ignore ends of discs that stray outside of 512-byte sector sizes (!42). 
  * Alter semantics of NBD_MAX_BLOCK_SIZE to remove struct size overheads when
    calculating if a request exceeds the max block size (!45)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

=== debian/control ===
Source: flexnbd
Section: web
Priority: extra
Maintainer: Patrick J Cherry <patrick@bytemark.co.uk> 
Build-Depends: debhelper (>= 7.0.50), ruby, gcc, libev-dev, txt2man, check, net-tools, libsubunit-dev, ruby-test-unit
Standards-Version: 3.8.1
Homepage: https://github.com/BytemarkHosting/flexnbd-c

Package: flexnbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libev4 | libev3
Description: FlexNBD server
  An NBD server offering push-mirroring and intelligent sparse file handling

Package: flexnbd-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    flexnbd (= ${binary:Version}),
    ${misc:Depends}
Description: debugging symbols for flexnbd
 An NBD server offering push-mirroring and intelligent sparse file handling
 .
 This package contains the debugging symbols for flexnbd.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_strip:
	dh_strip --dbg-package=flexnbd-dbg

#
# TODO: The ruby test suites don't work during buiding in a chroot, so leave
# them out for now.
#
#override_dh_auto_test:
#	rake test:run

## flexnbd 0.2.0~34443.623007b

=== debian/changelog ===
flexnbd (0.2.0~34443.623007b) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)
  * Ignore ends of discs that stray outside of 512-byte sector sizes (!42). 
  * Tweak logging for readloop failures (!44)
  * Alter semantics of NBD_MAX_BLOCK_SIZE to remove struct size overheads when
    calculating if a request exceeds the max block size (!45)
  * Added tests for setting TCP_NODELAY on upstream-reconnections in the
    proxy, and refactored the other LD_PRELOAD tests (!43)
  * Clean up dead threads before calculating the number of connected clients
    on the status command (!46)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000

## flexnbd 0.4.1~80433.gbp842e7d

=== debian/changelog ===
flexnbd (0.4.1~80433.gbp842e7d) UNRELEASED; urgency=medium

  ** SNAPSHOT build @842e7d362d0c6231ba71341b07b51dc5cdcc0914 **

  [ Patrick J Cherry ]
  * Rubocop; add test to bombard a migration source with status commands
  * Close the control socket during cleanup
  * Remove useless function definition
  * Ensure control socket is closed first, and wait for it to close.

  [ root ]

 -- root <root@runner-09547356-project-311-concurrent-1>  Fri, 07 Dec 2018 16:33:43 +0000

flexnbd (0.4.0) stable; urgency=medium

  * Ensure proxy state is completely reset before upstream init is read,
    ensuring any waiting requests are fully replayed (#39, !54)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 15 Nov 2018 14:24:26 +0000

flexnbd (0.3.0) stable; urgency=medium

  * Force a msync after every write, ignoring FUA flag, or lack thereof (!51).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 Apr 2018 12:05:43 +0100

flexnbd (0.2.0) stable; urgency=medium

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)
  * Fix struct types in readwrite.c (#35, !41)
  * Ignore ends of discs that stray outside of 512-byte sector sizes (!42). 
  * Tweak logging for readloop failures (!44)
  * Alter semantics of NBD_MAX_BLOCK_SIZE to remove struct size overheads when
    calculating if a request exceeds the max block size (!45)
  * Added tests for setting TCP_NODELAY on upstream-reconnections in the
    proxy, and refactored the other LD_PRELOAD tests (!43)
  * Clean up dead threads before calculating the number of connected clients
    on the status command (!46)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 20 Feb 2018 11:43:22 +0000

## flexnbd 0.5.0

=== debian/changelog ===
flexnbd (0.5.0) stable; urgency=medium

  [ Patrick J Cherry ]
  * Explicitly close the server control socket, and wait for it to close, to
    prevent deadlocks during the server clean-up process (#40 !58)
  * Ensure mirroring can be restarted after a break command is sent to the
    source (#37, !59)

 -- James Carter <james.carter@bytemark.co.uk>  Fri, 11 Jan 2019 10:37:23 +0000

## flexnbd 0.5.1~88883.gbpf03426

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DESTDIR?=/
 PREFIX?=/usr/local/bin
 INSTALLDIR=$(DESTDIR)/$(PREFIX)
-	
+
 ifdef DEBUG
 	CFLAGS_EXTRA=-g -DDEBUG
 	LDFLAGS_EXTRA=-g

=== debian/changelog ===
flexnbd (0.5.1~88883.gbpf03426) UNRELEASED; urgency=medium

  ** SNAPSHOT build @f0342663147d9d1f5b2ec5de080d46bfd8f6bdad **

  [ Mark Egan-Fuller ]
  * Use docker for publishing.

  [ root ]

 -- Mark Egan-Fuller <mark.eganfuller@bytemark.co.uk>  Thu, 24 Jan 2019 10:06:23 +0000
